Loading...
Searching...
No Matches
lirc.client.LircdConnection Class Reference
Python client bindings » Classes to receive keypresses

Interface to receive lircrc-translated keypresses. More...

Inheritance diagram for lirc.client.LircdConnection:

## Public Member Functions

| __init__ (self, str program, str lircrc_path=None, str socket_path=None)
| readline (self, float timeout=None)
| Implements AbstractConnection.readline().
bool | has_data (self)
| Implements AbstractConnection.has_data().
int | fileno (self)
| Implements AbstractConnection.fileno().
| close (self)
| Implements AbstractConnection.close().
Public Member Functions inherited from lirc.client.AbstractConnection
| __enter__ (self)
| __exit__ (self, exc_type, exc, traceback)

## Protected Attributes

| _connection = RawConnection(socket_path, program)
| _lircrc = _client.lirc_readconfig(lircrc_path)
| _program = program
list | _buffer = []

## Detailed Description

Interface to receive lircrc-translated keypresses.

This is basically built on top of lirc_code2char() and as such supporting centralized translations using lircrc_class. See lircrcd(8).

Parameters
  - program: string, used to identify client. See ircat(1)
  - lircrc: lircrc file path. See get_default_lircrc_path() for defaults.
  - socket_path: lircd output socket path, see get_default_socket_path() for defaults.

Definition at line 273 of file client.py.

## Constructor & Destructor Documentation

## __init__()

lirc.client.LircdConnection.__init__ | ( |  | self,
|  | str | program,
|  | str | lircrc_path = None,
|  | str | socket_path = None )

Definition at line 276 of file client.py.

## Member Function Documentation

## close()

lirc.client.LircdConnection.close | ( |  | self | ) |

Implements AbstractConnection.close().

Reimplemented from lirc.client.AbstractConnection.

Definition at line 312 of file client.py.

## fileno()

int lirc.client.LircdConnection.fileno | ( |  | self | ) |

Implements AbstractConnection.fileno().

Reimplemented from lirc.client.AbstractConnection.

Definition at line 308 of file client.py.

## has_data()

bool lirc.client.LircdConnection.has_data | ( |  | self | ) |

Implements AbstractConnection.has_data().

Reimplemented from lirc.client.AbstractConnection.

Definition at line 304 of file client.py.

## readline()

lirc.client.LircdConnection.readline | ( |  | self,
|  | float | timeout = None )

Implements AbstractConnection.readline().

Reimplemented from lirc.client.AbstractConnection.

Definition at line 289 of file client.py.

## Member Data Documentation

## _buffer

lirc.client.LircdConnection._buffer = []

protected

Definition at line 286 of file client.py.

## _connection

lirc.client.LircdConnection._connection = RawConnection(socket_path, program)

protected

Definition at line 283 of file client.py.

## _lircrc

lirc.client.LircdConnection._lircrc = _client.lirc_readconfig(lircrc_path)

protected

Definition at line 284 of file client.py.

## _program

lirc.client.LircdConnection._program = program

protected

Definition at line 285 of file client.py.

The documentation for this class was generated from the following file:

- client.py